Debian Bug report logs - #644486
dh-make: default templates should implement proper dpkg-buildflags support

version graph

Package: dh-make; Maintainer for dh-make is Craig Small <csmall@debian.org>; Source for dh-make is src:dh-make.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Thu, 6 Oct 2011 09:45:01 UTC

Severity: wishlist

Found in version dh-make/0.59

Fixed in version dh-make/0.61

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#644486; Package dh-make. (Thu, 06 Oct 2011 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Thu, 06 Oct 2011 09:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh-make: default templates should implement proper dpkg-buildflags support
Date: Thu, 06 Oct 2011 11:43:49 +0200
Package: dh-make
Version: 0.59
Severity: wishlist

It would be nice if the various templates implemented support
of dpkg-buildflags. Cf the announce on d-d-a:
http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dh-make depends on:
ii  debhelper  8.9.8              
ii  dpkg-dev   1.16.2~42.gbp5c7dc6
ii  make       3.81-8.1           
ii  perl       5.12.4-5           

dh-make recommends no packages.

Versions of packages dh-make suggests:
ii  build-essential  11.5

-- no debconf information




Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Fri, 13 Jul 2012 12:06:04 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 13 Jul 2012 12:07:21 GMT) Full text and rfc822 format available.

Message #10 received at 644486-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 644486-close@bugs.debian.org
Subject: Bug#644486: fixed in dh-make 0.61
Date: Fri, 13 Jul 2012 12:02:09 +0000
Source: dh-make
Source-Version: 0.61

We believe that the bug you reported is fixed in the latest version of
dh-make, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644486@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated dh-make package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 13 Jul 2012 21:26:38 +1000
Source: dh-make
Binary: dh-make
Architecture: source all
Version: 0.61
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 dh-make    - tool that converts source archives into Debian package source
Closes: 644486 662163 662192 662888 665312 665770 670409 672478 672543
Changes: 
 dh-make (0.61) unstable; urgency=low
 .
   * Update to standards version 3.9.3
   * Update to debhelper version 9
   * debhelper v9 uses dpkg-buildflags Closes: #644486
   * Remove ldap-utils conflict as that version is not even in stable
   * Changed emacsen-startup script to debian-emacs-flavour Closes:
     #662163
   * Fixed emacsen-install from SamBs patch Closes: #665312
   * emacsen-install uses relative symlinks Closes: #670409
   * emacsen-install uses debian-pkg-add-load-path Closes: #672478
   * Man page doesnt have discouraged AUTHORS section Closes: #672543
   * Final version of 1.0 copyright file changed Closes: #665770
   * Minor tweaks to license files Closes: #662192
   * Rename x11 to mit license to follow SPDX list, same bug as above
   * Add -y,--yes option to run non-interactively
   * Add --packageclass,-C option to set class instead of -s,-i,-m etc
   * Don't add missing when non .ex file exists Closes: #662888
Checksums-Sha1: 
 4af79244492448fe1862b4ca653957b01712b7f9 1511 dh-make_0.61.dsc
 8d9dc3165db6efb68be895a0ff93cc5a7c53b771 41790 dh-make_0.61.tar.gz
 1396ec6ca0cda617690690f266295d92671fb293 46218 dh-make_0.61_all.deb
Checksums-Sha256: 
 90ab081fac2afeab02e6f086a2f28e8a598b2732272006138bec054db04f67e0 1511 dh-make_0.61.dsc
 479c6b402c236fc058268860474c9d05011b55b2dccd2b49f966493e0bc468bd 41790 dh-make_0.61.tar.gz
 7ad67e32f9ae9d2c74836f373e4649db976903983db27f8e65d79dfe4640b03c 46218 dh-make_0.61_all.deb
Files: 
 5662312e772fad9e688611375869dcee 1511 devel optional dh-make_0.61.dsc
 405aa44ae1422e7440ffc43c1646aece 41790 devel optional dh-make_0.61.tar.gz
 ad479df6eff59e952ba79a93504817d9 46218 devel optional dh-make_0.61_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQAAsQAAoJEDk4+WvfUP6lJ5EQAKb/C+b//oo6qgRynVwMVl5A
nqg29kHHnd+z53vXmAm5zn4W4AXnRjllvswuvmcaKkH8YEzaK65xCUGjc4VYKvUc
Qw0LE7ZbFUlP1iVa8Wq8WfWk4iOcPAOZN3AGIqG4r8FxvqPJ8Gx0b4hXybrzy1Gj
pi/XIzK8XF/o0mJlt9ahRvFNpHfLgzTuLJ0UO1NJxo7W36a3RJzz3wnGv4O0VO3X
xR3L8T5tovqUQv3ojchOxH/Iwevu3xmCb3hmIsi1oQjHABxaN60oLMbbLdTETam8
aRKRm6xTm4ROV9OW64mXDZ8OSyyEEpQbzlB+zk2oRiDW6Jsq80UvI+kOw1wwAwj/
r88lGT1NDG0HE/n0i5r6U3p13ovt2+gLJswMC0vEbFDP1QT8ixcXFBqbNa1hdJdo
axUdjAbNRW8tPcvzCUd/uM6MJj87N/b8FLpFiQEYw+XQvQFDnXvOeXJLrh1Eakmt
8pi4PDobA+KnKy0tDvkHnQxS3v37I8KmuOIBqOz+znDB+jRDAucJAJfQSyhyUoSW
YyXf4BfjSKbt0hpJ51ekmzgtZFz4PuMEsDI/9Xryv05/PrBu7fl2Ps0Si94+Cbll
9+NiVpPEPcuMaWDyil906AMnnqaByzl+hFcq7eNbzVotiMpPuGaGMcwxQAAdWevA
awdSpuOUmPKSQEqInnxD
=AZyC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Sep 2012 07:29:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:55:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.